import Foundation

struct Post_Color_Model : Codable {
    
	let id : Int?
	let color_1 : String?
	let color_2 : String?
	let text_color : String?
	let image : String?
	let time : String?

	enum CodingKeys: String, CodingKey {

		case id = "id"
		case color_1 = "color_1"
		case color_2 = "color_2"
		case text_color = "text_color"
		case image = "image"
		case time = "time"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		id = try values.decodeIfPresent(Int.self, forKey: .id)
		color_1 = try values.decodeIfPresent(String.self, forKey: .color_1)
		color_2 = try values.decodeIfPresent(String.self, forKey: .color_2)
		text_color = try values.decodeIfPresent(String.self, forKey: .text_color)
		image = try values.decodeIfPresent(String.self, forKey: .image)
		time = try values.decodeIfPresent(String.self, forKey: .time)
	}

}
